/*
 * Copyright (c) 1995-2002 Conexant Systems, Inc.
 * 
 * 1.   Permitted use. Redistribution and use in source and binary forms,
 * with or without modification, are permitted under the terms set forth
 * herein.
 * 
 * 2.   Disclaimer of Warranties. CONEXANT AND OTHER CONTRIBUTORS MAKE NO
 * REPRESENTATION ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.
 * IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTIES OF ANY KIND.
 * CONEXANT AND OTHER CONTRIBUTORS DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, GOOD TITLE AND AGAINST INFRINGEMENT.
 * 
 * This software has not been formally tested, and there is no guarantee that
 * it is free of errors including, but not limited to, bugs, defects,
 * interrupted operation, or unexpected results. Any use of this software is
 * at user's own risk.
 * 
 * 3.   No Liability.
 * 
 * (a) Conexant or contributors shall not be responsible for any loss or
 * damage to Company, its customers, or any third parties for any reason
 * whatsoever, and CONEXANT OR CONTRIBUTORS SHALL NOT BE LIABLE FOR ANY
 * ACTUAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL, OR CONSEQUENTIAL
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED, WHETHER IN CONTRACT, STRICT OR OTHER LEGAL THEORY OF
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 * 
 * (b) User agrees to hold Conexant and contributors harmless from any
 * liability, loss, cost, damage or expense, including attorney's fees,
 * as a result of any claims which may be made by any person, including
 * but not limited to User, its agents and employees, its customers, or
 * any third parties that arise out of or result from the manufacture,
 * delivery, actual or alleged ownership, performance, use, operation
 * or possession of the software furnished hereunder, whether such claims
 * are based on negligence, breach of contract, absolute liability or any
 * other legal theory.
 * 
 * 4.   Notices. User hereby agrees not to remove, alter or destroy any
 * copyright, trademark, credits, other proprietary notices or confidential
 * legends placed upon, contained within or associated with the Software,
 * and shall include all such unaltered copyright, trademark, credits,
 * other proprietary notices or confidential legends on or in every copy of
 * the Software.
 * 
 */

/*

********************************************************************************************
********************** P V C S  V e r s i o n  I n f o r m a t i o n ***********************
********************************************************************************************
 $Header:   P:/d874/Linux/rtmixer.h_v   1.1   19 May 2000 14:57:14   lazarekn  $
********************************************************************************************
********************************************************************************************



  MODULE NAME:        mixer.h                        

  AUTHOR:             K. Kenney


  HISTORY:         Major Revision                   Date          By
            -----------------------------          --------     -----
            Created from MS W95 Sample             11/28/95      KRS
            RipTide                                10/15/97      KRS
            Adopted for Windows NT driver          01/20/98      CNL


  DESCRIPTION:

    This module contains definitions for use by the RipTide Ring
    3 mixer driver.


  NOTES:    None.
*/
//***************************************************************************
//***************************************************************************
#ifndef _RTMIXER_H_
#define _RTMIXER_H_

#define MAXSOURCES      8
#define MAXDESTINATIONS 2
//#define MAXCONTROLS     29
#define MORECONTROLS    2
#define MAXARM			13

#define MAXMUXSLCT      6
#define MAXMIXREG       0x22
#define MAXACREG        0x7E
#define RWASMMAX        6

//***************************************************************************
//***************************************************************************
// Defines for the uControlMap "columns"
#define CM_DEST     0
#define CM_SOURCE   1
#define CM_CHANNELS 2

//***************************************************************************
//***************************************************************************
// Define some stuff for sources...
#define SOURCE_WAVE     0
#define SOURCE_WSTRM    1
#define SOURCE_CD       2
#define SOURCE_LINE     3
#define SOURCE_VIDEO    4
#define SOURCE_AUX      5
#define SOURCE_MIC      6
#define SOURCE_MIXER    7
#define SOURCE_INVALID           (UINT_MAX)   /// for source mapping

//***************************************************************************
//***************************************************************************
// Define some stuff for destinations...
#define DEST_PLBK         0
#define DEST_RECD         1

//***************************************************************************
//***************************************************************************
// Define some stuff for controls...
//

// Select Controls
#define MXSEL_MIC        0
#define MXSEL_CD         1         
#define MXSEL_VIDEO      2
#define MXSEL_AUX        3
#define MXSEL_LINE       4
#define MXSEL_MIXER      5
#define MXSEL_MONO       6
#define MXSEL_PHN        7   

typedef enum
{
//Define Control numbers
MXMUX_SELECT = 0,// 0
MXMUX_MASTER ,   // 1

//Volume controls
MXMUX_MIC    ,// 2 ADC_Gain  
MXMUX_MIX    ,// 3 ADC_Gain  
MXMUX_CD     ,// 4 ADC_Gain  
MXMUX_LINE   ,// 5 ADC_Gain  
MXMUX_VIDEO  ,// 6 ADC_Gain  
MXMUX_AUX    ,// 7 ADC_Gain  

MXMIX_MASTER ,// 8 Mixer_Gain
MXMIX_WAVE0  ,// 9 
MXMIX_WAVE1  ,// 10
MXMIX_WAVE2  ,// 11
MXMIX_WAVE3  ,// 12
MXMIX_WAVE4  ,// 13
MXMIX_WAVE5  ,// 14
MXMIX_WAVE6  ,// 15
MXMIX_WAVE7  ,// 16
MXMIX_WAVE8  ,// 17
MXMIX_WAVE9  ,// 18
MXMIX_WSTRM  ,// 19
MXMIX_OPL    ,// 20
MXMIX_SB     ,// 21
MXMIX_PHONE  ,// 22
MXMIX_CD     ,// 23
MXMIX_LINE   ,// 24
MXMIX_VIDEO  ,// 25
MXMIX_AUX    ,// 26
MXMIX_MIC    ,// 27
PEAK_WAVE    ,// 28

//Mute controls
MXMUTE_MASTER,// 29
MXMUTE_WAVE0 ,// 30
MXMUTE_WAVE1 ,// 31
MXMUTE_WAVE2 ,// 32
MXMUTE_WAVE3 ,// 33
MXMUTE_WAVE4 ,// 34
MXMUTE_WAVE5 ,// 35
MXMUTE_WAVE6 ,// 36
MXMUTE_WAVE7 ,// 37
MXMUTE_WAVE8 ,// 38
MXMUTE_WAVE9 ,// 39
MXMUTE_WSTRM ,// 40
MXMUTE_OPL   ,// 41
MXMUTE_SB    ,// 42
MXMUTE_PHONE ,// 43
MXMUTE_CD    ,// 44
MXMUTE_LINE  ,// 45
MXMUTE_VIDEO ,// 46
MXMUTE_AUX   ,// 47
MXMUTE_MIC   ,// 48
PEAK_MUX     ,// 49

//Advanced Controls
MXMIX_3D     ,// 50
MXMIX_BASS   ,// 51
MXMIX_MICPGN ,// 52
MXMUX_MICPGN ,// 53
MXMUTE_MUX   ,// 54
MXMIX_BREAK  ,// 55
MXMUTE_BREAK ,// 56
MXMIX_I2S_0  ,// 57
MXMIX_I2S_1  ,// 58
MXMUTE_I2S_0 ,// 59
MXMUTE_I2S_1 ,// 60
MXMIX_HDPH   ,// 61
MXMUTE_HDPH  ,// 62
MAX_MIXER_CONTROLS //63
} MIXER_CONTROLS;


#define CONTROL_ATDEST           (UINT_MAX)   

#define AC98MAX		  (0x18)

#endif

